This document lists the events and parameters for
Application Settings
Admin Audit activity events. You can retrieve these events by
calling [Activities.list()](https://developers.google.com/workspace/admin/reports/v1/reference/activities/list)
with `applicationName=admin`.

## Application Settings


Events of this type are returned with `type=APPLICATION_SETTINGS`.

### Application Setting Change

Event details Event name `CHANGE_APPLICATION_SETTING` Parameters `APPLICATION_EDITION` `string`


The Google Workspace edition.
`APPLICATION_NAME` `string`


The application's name.
`GROUP_EMAIL` `string`


The group's primary email address.
`NEW_VALUE` `string`


The new `SETTING_NAME` value that was set during this event.
`OLD_VALUE` `string`


The previous `SETTING_NAME` value that was replaced during this event.
`ORG_UNIT_NAME` `string`


The organizational unit (OU) name (path).
`SETTING_NAME` `string`


The unique name (ID) of the setting that was changed.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/admin?eventName=CHANGE_APPLICATION_SETTING&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `For {APPLICATION_NAME}, {SETTING_NAME} changed from {OLD_VALUE} to {NEW_VALUE}`

### Application Setting Creation

Event details Event name `CREATE_APPLICATION_SETTING` Parameters `APPLICATION_EDITION` `string`


The Google Workspace edition.
`APPLICATION_NAME` `string`


The application's name.
`GROUP_EMAIL` `string`


The group's primary email address.
`NEW_VALUE` `string`


The new `SETTING_NAME` value that was set during this event.
`ORG_UNIT_NAME` `string`


The organizational unit (OU) name (path).
`SETTING_NAME` `string`


The unique name (ID) of the setting that was changed.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/admin?eventName=CREATE_APPLICATION_SETTING&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `For {APPLICATION_NAME}, {SETTING_NAME} created with value {NEW_VALUE}`

### Application Setting Deletion

Event details Event name `DELETE_APPLICATION_SETTING` Parameters `APPLICATION_EDITION` `string`


The Google Workspace edition.
`APPLICATION_NAME` `string`


The application's name.
`GROUP_EMAIL` `string`


The group's primary email address.
`OLD_VALUE` `string`


The previous `SETTING_NAME` value that was replaced during this event.
`ORG_UNIT_NAME` `string`


The organizational unit (OU) name (path).
`SETTING_NAME` `string`


The unique name (ID) of the setting that was changed.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/admin?eventName=DELETE_APPLICATION_SETTING&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `For {APPLICATION_NAME}, {SETTING_NAME} with value {OLD_VALUE} deleted`

### Application Setting Group Priorities Change

Event details Event name `REORDER_GROUP_BASED_POLICIES_EVENT` Parameters `APPLICATION_NAME` `string`


The application's name.
`GROUP_PRIORITIES` `string`


Group priorities.
`SETTING_NAME` `string`


The unique name (ID) of the setting that was changed.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/admin?eventName=REORDER_GROUP_BASED_POLICIES_EVENT&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `For {APPLICATION_NAME}, group override priorities for {SETTING_NAME} changed to {GROUP_PRIORITIES}.`

### Google+ Premium Features

Event details Event name `GPLUS_PREMIUM_FEATURES` Parameters `DOMAIN_NAME` `string`


The primary domain name.
`NEW_VALUE` `string`


The new `SETTING_NAME` value that was set during this event.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/admin?eventName=GPLUS_PREMIUM_FEATURES&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `Premium features for Google+ service for your organization changed to {NEW_VALUE}`

### Managed configuration is created

Event details Event name `CREATE_MANAGED_CONFIGURATION` Parameters `DEVICE_TYPE` `string`


The device's type.
`MANAGED_CONFIGURATION_NAME` `string`


The parameter specifying the name of the managed configuration.
`MOBILE_APP_PACKAGE_ID` `string`


The mobile application package ID.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/admin?eventName=CREATE_MANAGED_CONFIGURATION&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `Managed configuration with name {MANAGED_CONFIGURATION_NAME} is created for {DEVICE_TYPE} application {MOBILE_APP_PACKAGE_ID}.`

### Managed configuration is deleted

Event details Event name `DELETE_MANAGED_CONFIGURATION` Parameters `DEVICE_TYPE` `string`


The device's type.
`MANAGED_CONFIGURATION_NAME` `string`


The parameter specifying the name of the managed configuration.
`MOBILE_APP_PACKAGE_ID` `string`


The mobile application package ID.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/admin?eventName=DELETE_MANAGED_CONFIGURATION&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `Managed configuration with name {MANAGED_CONFIGURATION_NAME} is deleted for {DEVICE_TYPE} application {MOBILE_APP_PACKAGE_ID}.`

### Managed configuration is updated

Event details Event name `UPDATE_MANAGED_CONFIGURATION` Parameters `DEVICE_TYPE` `string`


The device's type.
`MANAGED_CONFIGURATION_NAME` `string`


The parameter specifying the name of the managed configuration.
`MOBILE_APP_PACKAGE_ID` `string`


The mobile application package ID.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/admin?eventName=UPDATE_MANAGED_CONFIGURATION&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `Managed configuration with name {MANAGED_CONFIGURATION_NAME} is updated for {DEVICE_TYPE} application {MOBILE_APP_PACKAGE_ID}.`

### Non-Featured Services Selected

Event details Event name `FLASHLIGHT_EDU_NON_FEATURED_SERVICES_SELECTED` Parameters `FLASHLIGHT_EDU_NON_FEATURED_SERVICES_SELECTION` `string`


Non-Featured Services Selection.
Possible values:

- `FLASHLIGHT_EDU_SELECTION_MANUAL`
- `FLASHLIGHT_EDU_SELECTION_TURN_OFF_ALL`
- `FLASHLIGHT_EDU_SELECTION_TURN_OFF_ALL_EXCEPT_PLAY`
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/admin?eventName=FLASHLIGHT_EDU_NON_FEATURED_SERVICES_SELECTED&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{FLASHLIGHT_EDU_NON_FEATURED_SERVICES_SELECTION} selection was made for Non-Featured Services.`

### Update Smart features and personalization

Event details Event name `UPDATE_SMART_FEATURES` Parameters `NEW_VALUE` `string`


The new `SETTING_NAME` value that was set during this event.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/admin?eventName=UPDATE_SMART_FEATURES&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `Smart features and personalization setting has been updated to {NEW_VALUE}`